Using the break command to split an entity in two

I expect to be able to use the break command to split a polyline into two parts at for instance an intersection with another polyline.

So I would click on the intersection twice, but OSNAP cannot be applied for the first click. Strange... Am I missing something ?

Gerrit

Comments

  • When you say "OSNAP cannot be applied" do you mean that you can't set the osnap or that the intersection can't be not found. If the last applies: check if the polylines are in exactly the same plane.

  • Sorry, my mistake, I misinterpreted how the command functions. I was confused when as in one way the commands uses the pick point is the first break point, and naturally selecting the entity never allows OSNAP to function. I failed to use the first pick point option. Thanks!

  • I never liked how "break" behaves (though I realize the behavior is inherited from Acad). The only use I've ever had for break in 15 years of CAD work  is to break a line at a single point. This is not what the command is optimized to do however, it forces an unnecessary extra input to break at a single point. 

  • Break has varied over time. Originally (in Acad) it was as it is now, then it adopted the practice of allowing pick before command when that was new (years ago).

    Later, it gave itself the "First" option the first time it ran - you had to say "F" on subsequent returns unless you picked it off the menu again.

    Finally it has done full circle - you can't pick the object before the command and you have to type "F" every time if you want to choose the first point (whih is almost always for me).

  • Check out this link for some extra interpretations on the Break Command- http://www.cadtutor.net/forum/showthread.php?t=23737.

    #6 lets you choose the object to break and then the point.

     

    Regards,

    Daniel

  • The challenge for seasoned lispers and newbies alike, is when a command changes its basic behaviour.

    One sized challenge fits all.

  • This breaks a single object at a single point:

    (defun c:Brk ()
    (sssetfirst nil nil)
    (setq ent1 (entsel "Select Object: "))
    (setq bp1 (getpoint "Break point: "))
    (setq bp2 bp1)
    (command "Break" ent1 "F" bp1 bp2)
    )
This discussion has been closed.